=== debian/control ===
Source: revpi-nodered
Section: electronics
Priority: optional
Maintainer: KUNBUS GmbH <support@kunbus.com>
Build-Depends:
  dh-sysuser,
  debhelper-compat (= 13),
  npm,
Standards-Version: 4.6.2
Homepage: https://revolutionpi.com/
Rules-Requires-Root: no
Vcs-Git: https://gitlab.com/revolutionpi/revpi-nodered.git -b debian/bookworm
Vcs-Browser: https://gitlab.com/revolutionpi/revpi-nodered

Package: revpi-nodered
Architecture: any
Multi-Arch: foreign
Depends:
  nodejs (>= 18),
  npm,
  ${misc:Depends},
  ${shlibs:Depends},
Breaks:
  noderedrevpinodes-server (<< 1.0.5~),
Conflicts:
  nodered,
  node-red-contrib-revpi-nodes,
Replaces:
  nodered,
  node-red-contrib-revpi-nodes,
Suggests:
  noderedrevpinodes-server,
Recommends:
  revpi-nodered-proxy-apache | revpi-nodered-proxy-nginx,
Description: Revolution Pi Node-RED version 4
 This package installs Node-RED v4 and a systemd unit file to run Node-RED as
 a server process in the background. The Node-RED process is executed under
 its own system user "nodered" and restricted to certain access via sandbox
 settings of systemd.

Package: revpi-nodered-proxy-apache
Architecture: all
Multi-Arch: foreign
Depends:
  ${misc:Depends},
  revpi-cert-wizard,
  revpi-nodered,
  revpi-webserver-apache,
Breaks:
  revpi-nodered-proxy-nginx,
Replaces:
  revpi-nodered-proxy-nginx,
Suggests:
  revpi-nodered-proxy-firewalld
Description: Revolution Pi Node-RED Reverse Proxy configuration for Apache
 Apache2 configuration to enable a secure reverse proxy for insecure Node-RED
 traffic. Revolution Pi is a set of IoT products based on the Raspberry Pi and
 geared towards industrial usage.

Package: revpi-nodered-proxy-firewalld
Architecture: all
Depends:
  firewalld,
  revpi-nodered-proxy-apache | revpi-nodered-proxy-nginx,
  ${misc:Depends},
Description: Revolution Pi Node-RED Reverse Proxy firewall definitions
 This package brings the firewalld service files for the secure
 reverse proxy for Node-RED on the Revolution Pi. This configuration
 is required for a safe operation, when firewalld is used.
