=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with sysuser

override_dh_installsystemd:
	dh_installsystemd --no-enable
