## revpi-nodered 1.9.1

=== debian/changelog ===
revpi-nodered (1.9.1-1+deb13+1) trixie; urgency=medium

  * Initial release for trixie

 -- Sven Sager <s.sager@kunbus.com>  Wed, 03 Dec 2025 16:04:18 +0100

revpi-nodered (1.9.1-1+deb12+1) bookworm; urgency=medium

  [ Marc Kittner ]
  * feat(apache): Remove Permission-Policy Header

 -- Sven Sager <s.sager@kunbus.com>  Thu, 06 Nov 2025 15:47:13 +0100
