=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
   dh-sysuser,
   debhelper-compat (= 13),
   npm,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://revolutionpi.com/
 Rules-Requires-Root: no
-Vcs-Git: https://gitlab.com/revolutionpi/revpi-nodered.git -b debian/bookworm
+Vcs-Git: https://gitlab.com/revolutionpi/revpi-nodered.git -b debian/trixie
 Vcs-Browser: https://gitlab.com/revolutionpi/revpi-nodered
 
 Package: revpi-nodered
